FROM registry.fedoraproject.org/fedora-minimal:38

LABEL name="vdirsyncer" \
    summary="vdirsyncer" \
    version="0.19.2" \
    run="podman run --rm -it -v '${HOME}/.config/vdirsyncer:/root/.config/vdirsyncer:z' sync" \
    maintainer="Ada Loveless <git@jooa.xyz>"

RUN microdnf install -y python3-pip libxml2 libxslt && microdnf clean all
RUN pip install "vdirsyncer==0.19.2"

VOLUME ["/root/.config/vdirsyncer/"]
VOLUME ["/root/.vdirsyncer/"]
VOLUME ["/root/.local/share/calendars/"]

ENTRYPOINT ["vdirsyncer"]
